<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: profile/profile-body/profile-body-graphics/AverageSessions.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: profile/profile-body/profile-body-graphics/AverageSessions.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import styled from 'styled-components';
import { ResponsiveContainer, LineChart, XAxis, YAxis, Tooltip, Line } from 'recharts';
import colors from '../../../../utils/style/colors';
import { IUserDataAverageSessions, IUserDataAverageSessionsDay } from '../../../../utils/interfaces/api.interface';

const Container = styled.div`
  height: 265px;
  background-color: ${colors.secondary};
  border-radius: 5px;
  position: relative;
  width: 265px;
`;

const ChartTitle = styled.h3`
  margin: 0;
  font-size: 15px;
  font-weight: 400;
  position: absolute;
  top: 25px;
  left: 30px;
  opacity: 0.5;
  color: white;
  max-width: 150px;
  line-height: 24px;
`;

const CustomTooltip = styled.div`
  background-color: white;

  p {
    font-size: 12px;
    font-weight: 500;
    padding: 10px 7px;
  }
`;

/**
 * Renders the average sessions duration graphic
 * @param   {IUserDataAverageSessions}   averageSessionsData   contains user's average sessions duration data
 */
const AverageSessions: React.FC&lt;{ averageSessionsData: IUserDataAverageSessions }> = ({ averageSessionsData }) => {
  enum WeekInitials {
    'L' = 1,
    'M',
    'J' = 4,
    'V',
    'S',
    'D',
  }

  // get the correct axis label from performance.kind
  const getAxisLabels = (data: IUserDataAverageSessionsDay) => {
    let { day } = data;

    if (day === 3) {
      day -= 1;
    }

    return WeekInitials[day];
  };

  const getCustomTooltip = (data: any) => {
    const { payload, active } = data;
    if (active &amp;&amp; payload &amp;&amp; payload.length) {
      return (
        &lt;CustomTooltip>
          &lt;p>{`${payload[0].payload.sessionLength} min`}&lt;/p>
        &lt;/CustomTooltip>
      );
    }

    return null;
  };

  return (
    &lt;Container>
      &lt;ResponsiveContainer width="100%" height={265}>
        &lt;LineChart
          width={500}
          height={300}
          data={averageSessionsData.sessions}
          margin={{
            top: 80,
            right: 25,
            left: 25,
            bottom: 30,
          }}
        >
          &lt;defs>
            &lt;linearGradient id="linear">
              &lt;stop offset="0%" stopColor="rgba(255,255,255,0.2)" />
              &lt;stop offset="100%" stopColor="rgb(255,255,255)" />
            &lt;/linearGradient>
          &lt;/defs>
          &lt;XAxis
            dataKey={getAxisLabels}
            axisLine={false}
            tickLine={false}
            dy={20}
            tick={{ fill: 'white', fontSize: 12, fontWeight: 500, opacity: 0.5 }}
          />
          &lt;YAxis hide />
          &lt;Tooltip content={getCustomTooltip} />
          &lt;Line
            strokeWidth={3}
            type="monotone"
            dataKey="sessionLength"
            stroke="url(#linear)"
            dot={false}
            activeDot={{ r: 6, fill: 'white', strokeWidth: 12, stroke: 'rgba(255,255,255,0.15)' }}
          />
        &lt;/LineChart>
      &lt;/ResponsiveContainer>
      &lt;ChartTitle>Durée moyenne des sessions&lt;/ChartTitle>
    &lt;/Container>
  );
};

export default AverageSessions;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
